#!/bin/bash

# We need to install dependencies only for Docker
[[ ! -e /.dockerenv ]] && exit 0

set -xe

apt-get update -yqq

# Install git (the php image doesn't have it) which is required by composer
apt-get install git -yqq

# Install wget to download composer
apt-get install wget -yqq

# Install unzip to speed up composer package installs
apt-get install unzip -yqq

# Install libxml2 because dom depends on it
apt-get install libxml2-dev -yqq

# Install libzip-dev because zip extension depends on it
apt-get install libzip-dev -yqq

# Install extensions
docker-php-ext-install dom
docker-php-ext-install xmlwriter
docker-php-ext-install zip