<?php

use Kompetenztestde\TestcenterConnector\Models\FileTest;
use Kompetenztestde\TestcenterConnector\TestcenterConnector;

require __DIR__ . '/../vendor/autoload.php';
require __DIR__ . '/E2eTestHelper.php';

$booklet = file_get_contents('./testAssets/Booklet.xml');
$bookletAddress = 'data://application/xml;base64,' . base64_encode($booklet);

$unit = file_get_contents('./testAssets/Unit.xml');
$unitAddress = 'data://application/xml;base64,' . base64_encode($unit);

$unitContent = file_get_contents('./testAssets/SAMPLE_UNITCONTENTS.HTM');
$unitContentAddress = 'data://text/html;base64,' . base64_encode($unitContent);

$player = file_get_contents('./testAssets/verona-player-simple-4.0.0.html');
$playerAddress = 'data://text/html;base64,' . base64_encode($player);

$test = new FileTest(
    './testAssets/Booklet.xml',
    [
        './testAssets/Unit.xml'
    ],
    [
        './testAssets/SAMPLE_UNITCONTENTS.HTM',
        './testAssets/verona-player-simple-4.0.0.html'
    ]
);

$config = getTestcenterConfig();
$connector = new TestcenterConnector($config->getUser(), $config->getBaseUrl());
$response = $connector->addTest(5, $test);
var_dump($response);
