<?php

require __DIR__ . '/../vendor/autoload.php';
require __DIR__ . '/E2eTestHelper.php';

use Kompetenztestde\TestcenterConnector\Models\Pupil;
use Kompetenztestde\TestcenterConnector\Models\Teacher;
use Kompetenztestde\TestcenterConnector\TestcenterConnector;
use Kompetenztestde\TestcenterConnector\Models\TestGroup;

$config = getTestcenterConfig();
$connector = new TestcenterConnector($config->getUser(), $config->getBaseUrl());

$logins = [
    new Pupil('login1', 'password1'),
    new Teacher('login2', 'password2')
];
$group = new TestGroup('test-group', 'Test Group', $logins);

$workspaceId = getenv('WORKSPACE_ID') !== false ? intval(getenv('WORKSPACE_ID')) : 1;

$connector->addTestGroupAsync($workspaceId, $group, 'BOOKLET.SAMPLE-1')->wait();
