<?php

namespace Kompetenztestde\TestcenterConnector\Api;

class FieldValidationConstraint
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $type;

    /**
     * @var bool
     */
    private $required;

    /**
     * @var string|null
     */
    private $value;

    /**
     * @param string $name
     * @param string $type
     * @param bool $required
     * @param string|null $value
     */
    public function __construct(string $name, string $type, bool $required = false, ?string $value = null)
    {
        $this->name = $name;
        $this->type = $type;
        $this->required = $required;
        $this->value = $value;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @return bool
     */
    public function isRequired(): bool
    {
        return $this->required;
    }

    /**
     * @return string|null
     */
    public function getValue(): ?string
    {
        return $this->value;
    }
}
