<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use Kompetenztestde\TestcenterConnector\Exceptions\TestcenterConnectorException;

class BroadcastingService
{
    /**
     * @var string|null
     */
    private $versionExpected;

    /**
     * @var string|null
     */
    private $status;

    /**
     * @var string|null
     */
    private $version;

    /**
     * @param object $data
     */
    public function __construct(object $data)
    {
        $this->versionExpected = $data->versionExpected ?? null;
        $this->status = $data->status ?? null;
        $this->version = $data->version ?? null;
    }

    /**
     * Get the value of version
     *
     * @return  string
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * Set the value of version
     *
     * @param  string  $version
     * @return  self
     */
    public function setVersion(string $version)
    {
        $this->version = $version;

        return $this;
    }

    /**
     * Get the value of status
     *
     * @return  string
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * Set the value of status
     *
     * @param  string  $status
     * @return  self
     */
    public function setStatus(string $status)
    {
        $this->status = $status;

        return $this;
    }

    /**
     * Get the value of versionExpected
     *
     * @return  string
     */
    public function getVersionExpected()
    {
        return $this->versionExpected;
    }

    /**
     * Set the value of versionExpected
     *
     * @param  string  $versionExpected
     * @return  self
     */
    public function setVersionExpected(string $versionExpected)
    {
        $this->versionExpected = $versionExpected;

        return $this;
    }
}
