<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use Kompetenztestde\TestcenterConnector\Api\FieldValidationConstraint;
use Kompetenztestde\TestcenterConnector\Exceptions\TestcenterConnectorException;

class FileInfo
{
    use ValidationTrait;

    /**
     * @var ?string
     */
    private $label;

    /**
     * @var ?string
     */
    private $description;

    /**
     * @var ?int
     */
    private $testtakers;

    /**
     * @param object $data
     * @throws TestcenterConnectorException
     */
    public function __construct(object $data)
    {
        self::validate($data);
        $this->label = $data->label ?? null;
        $this->description = $data->description ?? null;
        $this->testtakers = $data->testtakers ?? null;
    }

    /**
     * @return string|null
     */
    public function getLabel(): ?string
    {
        return $this->label;
    }

    /**
     * @return string|null
     */
    public function getDescription(): ?string
    {
        return $this->description;
    }

    /**
     * @return int|null
     */
    public function getTesttakers(): ?int
    {
        return $this->testtakers;
    }

    protected static function getConstraints(): array
    {
        return [
            new FieldValidationConstraint('label', 'string'),
            new FieldValidationConstraint('description', 'string'),
            new FieldValidationConstraint('testtakers', 'int'),
        ];
    }
}
