<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

class FileValidationResult
{
    /**
     * @var string
     */
    private $filename;

    /**
     * @var string[]
     */
    private $warnings;

    /**
     * @var string[]
     */
    private $errors;

    /**
     * @param string $filename
     * @param array[string] $warnings
     * @param array[string] $errors
     */
    public function __construct(string $filename, array $warnings, array $errors)
    {
        $this->filename = $filename;
        $this->warnings = $warnings;
        $this->errors = $errors;
    }

    /**
     * @return string
     */
    public function getFilename(): string
    {
        return $this->filename;
    }

    /**
     * @return array[string]
     */
    public function getWarnings(): array
    {
        return $this->warnings;
    }

    /**
     * @return array[string]
     */
    public function getErrors(): array
    {
        return $this->errors;
    }
}
