<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use Kompetenztestde\TestcenterConnector\Api\FieldValidationConstraint;
use Kompetenztestde\TestcenterConnector\Exceptions\TestcenterConnectorException;

class SysCheckFileData
{
    use ValidationTrait;

    /**
     * @var string
     */
    private $id;

    /**
     * @var string
     */
    private $label;

    /**
     * @var string
     */
    private $value;

    /**
     * @param object $data API response json object
     * @throws TestcenterConnectorException
     */
    public function __construct(object $data)
    {
        self::validate($data);
        $this->id = $data->id;
        $this->label = $data->label;
        $this->value = $data->value;
    }

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getLabel(): string
    {
        return $this->label;
    }

    /**
     * @return string
     */
    public function getValue(): string
    {
        return $this->value;
    }

    protected static function getConstraints(): array
    {
        return [
            new FieldValidationConstraint('id', 'string', true),
            new FieldValidationConstraint('label', 'string', true),
            new FieldValidationConstraint('value', 'string', true)
        ];
    }
}
