<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use InvalidArgumentException;
use JsonSerializable;

class UserRole implements JsonSerializable
{
    public const RW = 'RW';

    // TODO: unknown what 'MO' stands for and if it is used
    public const MO = 'MO';
    public const RO = 'RO';

    /**
     * @var int
     */
    private $userId;

    /**
     * @var string
     */
    private $role;

    /**
     * @param int $id
     * @param string $role
     */
    public function __construct(int $id, string $role)
    {
        $this->userId = $id;

        $validRoles = [self::RW, self::MO, self::RO];
        if (!in_array($role, $validRoles)) {
            throw new InvalidArgumentException("role must be one of " . implode(', ', $validRoles));
        }

        $this->role = $role;
    }

    /**
     * @return int
     */
    public function getUserId(): int
    {
        return $this->userId;
    }

    /**
     * @return string
     */
    public function getRole(): string
    {
        return $this->role;
    }

    public function jsonSerialize(): array
    {
        return [
            "id" => $this->userId,
            "role" => $this->role
        ];
    }
}
