<?php

namespace Kompetenztestde\TestcenterConnector\Exceptions;

use Exception;

class ApiException extends Exception
{
    /**
     * @var string/json
     */
    protected $responseBody;

    /**
     * @var string[]|null
     */
    protected $responseHeaders;

    /**
     * @param string $message
     * @param int $code
     * @param string[]|null $responseHeaders
     * @param mixed $responseBody
     */
    public function __construct($message = "", $code = 0, $responseHeaders = [], $responseBody = null)
    {
        parent::__construct($message, $code);
        $this->responseHeaders = $responseHeaders;
        $this->responseBody = $responseBody;
    }

    /**
     * Gets the HTTP response header
     *
     * @return string[]|null
     */
    public function getResponseHeaders()
    {
        return $this->responseHeaders;
    }

    /**
     * Gets the response body as Json or string
     *
     * @return mixed
     */
    public function getResponseBody()
    {
        return $this->responseBody;
    }

    public function __toString(): string
    {
        return $this->getMessage() . '\n Header:' . json_encode($this->getResponseHeaders());
    }
}
