<?php

namespace Kompetenztestde\TestcenterConnector\Models;

use InvalidArgumentException;

class File
{
    public const TESTTAKERS_FILE = 'Testtakers';
    public const BOOKLET_FILE = 'Booklets';
    public const RESOURCE_FILE = 'Resource';
    public const SYSCHECK_FILE = 'SysCheck';
    public const UNIT_FILE = 'Unit';

    /**
     * @var string
     */
    private $filename;

    /**
     * @var string
     */
    private $type;

    /**
     * @param string $filename
     * @param string $type must be one of 'Testtakers', 'Booklets', 'Resource', 'SysCheck', 'Unit'
     * @throws InvalidArgumentException
     */
    public function __construct(string $filename, string $type)
    {
        $allowed_types = [
            self::TESTTAKERS_FILE,
            self::BOOKLET_FILE,
            self::RESOURCE_FILE,
            self::SYSCHECK_FILE,
            self::UNIT_FILE
        ];

        if (!in_array($type, $allowed_types)) {
            throw new InvalidArgumentException('$type must be one of ' . implode(', ', $allowed_types));
        }

        $this->filename = $filename;
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getFilename(): string
    {
        return $this->filename;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }
}
