<?php

namespace Kompetenztestde\TestcenterConnector\Models;

use InvalidArgumentException;

class User
{
    public const ADMIN_ROLE = 'admin';
    public const LOGIN_ROLE = 'login';

    /**
     * @var string
     */
    private $username;

    /**
     * @var string
     */
    private $password;

    /**
     * @var string
     */
    private $role;

    /**
     * @param string $username
     * @param string $password
     * @param string $role
     */
    public function __construct(string $username, string $password, string $role)
    {
        $allowedRoles = [self::ADMIN_ROLE, self::LOGIN_ROLE];
        if (!in_array($role, $allowedRoles)) {
            throw new InvalidArgumentException('$role must be one of ' . implode(', ', $allowedRoles));
        }

        $this->username = $username;
        $this->password = $password;
        $this->role = $role;
    }

    /**
     * @return string
     */
    public function getUsername(): string
    {
        return $this->username;
    }

    /**
     * @return string
     */
    public function getPassword(): string
    {
        return $this->password;
    }

    /**
     * @return string
     */
    public function getRole(): string
    {
        return $this->role;
    }
}
