<?php

namespace Kompetenztestde\TestcenterConnector;

use Kompetenztestde\TestcenterConnector\Models\User;

class TestcenterInstanceConfig
{
    /**
     * @var string
     */
    private $baseUrl;

    /**
     * @var User
     */
    private $user;

    /**
     * @param string $baseUrl base url of the api of the instance
     * @param User $user admin user used to authenticated with the testcenter instance
     */
    public function __construct(string $baseUrl, User $user)
    {
        $this->baseUrl = $baseUrl;
        $this->user = $user;
    }

    public function getBaseUrl(): string
    {
        return $this->baseUrl;
    }

    public function getUser(): User
    {
        return $this->user;
    }
}
