<?php

namespace Kompetenztestde\TestcenterConnector\Xml;

class TestGroup
{
    /**
     * @var string
     */
    private $id;

    /**
     * @var string
     */
    private $name;

    /**
     * @var TestLogin[]
     */
    private $logins;

    /**
     * @var string[]
     */
    private $bookletIds;

    /**
     * @var string|null
     */
    private $validFrom;

    /**
     * @var string|null
     */
    private $validTo;

    /**
     * @param string $id
     * @param string $name
     * @param TestLogin[] $logins
     * @param string[] $bookletIds
     * @param string|null $validFrom Date in format "DD/MM/YYYY HH:MM"
     * @param string|null $validTo Date in format "DD/MM/YYYY HH:MM"
     */
    public function __construct(
        string $id,
        string $name,
        array $logins,
        array $bookletIds,
        ?string $validFrom = null,
        ?string $validTo = null
    ) {
        $this->id = $id;
        $this->name = $name;
        $this->logins = $logins;
        $this->bookletIds = $bookletIds;
        $this->validFrom = $validFrom;
        $this->validTo = $validTo;
    }

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return TestLogin[]
     */
    public function getLogins(): array
    {
        return $this->logins;
    }

    /**
     * @return string[]
     */
    public function getBookletIds(): array
    {
        return $this->bookletIds;
    }

    /**
     * @return string|null
     */
    public function getValidFrom(): ?string
    {
        return $this->validFrom;
    }

    /**
     * @return string|null
     */
    public function getValidTo(): ?string
    {
        return $this->validTo;
    }
}
