<?php

namespace Kompetenztestde\TestcenterConnector\Xml;

use InvalidArgumentException;

class TestLogin
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string|null
     */
    private $password;

    /**
     * @var string
     */
    private $mode;

    /**
     * @param string $name
     * @param string|null $password
     * @param string $mode
     * @throws InvalidArgumentException if $mode is not a valid login mode
     */
    public function __construct(string $name, ?string $password, string $mode)
    {
        $this->name = $name;
        $this->password = $password;

        if (!LoginMode::isAllowedLoginMode($mode)) {
            throw new InvalidArgumentException($mode . ' is not an allowed login mode');
        }
        $this->mode = $mode;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string|null
     */
    public function getPassword(): ?string
    {
        return $this->password;
    }

    /**
     * @return string
     */
    public function getMode(): string
    {
        return $this->mode;
    }
}
