<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class UserRoleTest extends TestCase
{
    public function testInvalidRole(): void
    {
        $this->expectException(InvalidArgumentException::class);
        $this->expectExceptionMessage('role must be one of RW, MO, RO');
        new UserRole(1, 'test');
    }

    /**
     * @dataProvider validRolesProvider
     */
    public function testValidRoles(string $role): void
    {
        $userRole = new UserRole(1, $role);
        $this->assertEquals($role, $userRole->getRole());
    }

    public static function validRolesProvider(): array
    {
        return [
            ["RO"],
            ["RW"],
            ["MO"]
        ];
    }
}