<?php

namespace Kompetenztestde\TestcenterConnector\Models;

use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class FileUnitTest extends TestCase
{
    /**
     * @dataProvider validTypesDataProvider
     */
    public function testValidTypes(string $fileType): void
    {
        $filename = 'test-file';

        $file = new File($filename, $fileType);
        $this->assertEquals($filename, $file->getFilename());
        $this->assertEquals($fileType, $file->getType());
    }

    public function testInvalidType(): void
    {
        $this->expectException(InvalidArgumentException::class);
        new File('test-file', 'invalid-type');
    }

    public static function validTypesDataProvider(): array
    {
        return [
            [File::BOOKLET_FILE],
            [File::RESOURCE_FILE],
            [File::SYSCHECK_FILE],
            [File::TESTTAKERS_FILE],
            [File::UNIT_FILE]
        ];
    }
}